Bug 456758 - Add/Remove software: can't install i386 package when x86_64 already installed
Add/Remove software: can't install i386 package when x86_64 already installed
Status: CLOSED DUPLICATE of bug 447957
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-26 11:49 EDT by Mikołaj Zalewski
Modified: 2008-08-27 08:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-27 08:49:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikołaj Zalewski 2008-07-26 11:49:34 EDT
Description of problem:
The installer installed an x86_64 version of freetype and freetype-devel. I need
i386 library for development. When I have chosen freetype-devel-2.3.5-6.fc9
(i386) to install, I received an error that the package is already installed.
Maybe it was fouled by freetype-devel-2.3.5-6.fc9 (x86_64), that was installed.
`yum install freetype-devel.i386` worked. I had the same problem with
glibc-devel.i386.

To make things worse, after showing the message, the applet refreshes the list
of packages, what takes ages.

Steps to Reproduce:
1. Install FC9, such that only freetype-devel-2.3.5-6.fc9 (x86_64) is installed
2. Try to install freetype-devel-2.3.5-6.fc9 (i386) using Add/Remove
Applications applet.
  
Actual results:
Error: package could not be installed because it is already installed

Expected results:
The package installs

Additional info:
It would be nice to have one checkbox to install 32-bit development libraries in
the main installer.
Comment 1 Richard Hughes 2008-08-27 08:49:32 EDT

*** This bug has been marked as a duplicate of bug 447957 ***

Note You need to log in before you can comment on or make changes to this bug.